org.keycloak.models.map.authSession

## Class MapAuthenticationSessionAuthNoteUpdateEvent

- java.lang.Object
- - org.keycloak.models.map.authSession.MapAuthenticationSessionAuthNoteUpdateEvent

- All Implemented Interfaces:
    Serializable, ClusterEvent

      public class MapAuthenticationSessionAuthNoteUpdateEvent
      extends Object
      implements ClusterEvent

  Author:
    Martin Kanis
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapAuthenticationSessionAuthNoteUpdateEvent()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MapAuthenticationSessionAuthNoteUpdateEvent` | `create(String authSessionId, String tabId, String clientUUID, Map<String,String> authNotesFragment)` Creates an instance of the event.
    `boolean` | `equals(Object o)`
    `Map<String,String>` | `getAuthNotesFragment()`
    `String` | `getAuthSessionId()`
    `String` | `getClientUUID()`
    `String` | `getTabId()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MapAuthenticationSessionAuthNoteUpdateEvent

          public MapAuthenticationSessionAuthNoteUpdateEvent()

  - ### Method Detail

    - #### create

          public static MapAuthenticationSessionAuthNoteUpdateEvent create(String authSessionId,
                                                                           String tabId,
                                                                           String clientUUID,
                                                                           Map<String,String> authNotesFragment)

      Creates an instance of the event.
      Parameters:
        `authSessionId` -
        `authNotesFragment` -
      Returns:
        Event. Note that `authNotesFragment` property is not thread safe which is fine for now.

    - #### getAuthSessionId

          public String getAuthSessionId()

    - #### getTabId

          public String getTabId()

    - #### getClientUUID

          public String getClientUUID()

    - #### getAuthNotesFragment

          public Map<String,String> getAuthNotesFragment()

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.